Bug 197247 - audio/gkrellmvolume2: fix volume reading
Summary: audio/gkrellmvolume2: fix volume reading
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hajimu UMEMOTO
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-01 17:27 UTC by Dmitry Marakasov
Modified: 2015-02-27 19:19 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ume)


Attachments
Patch (1.12 KB, patch)
2015-02-01 17:27 UTC, Dmitry Marakasov
no flags Details | Diff
Patch (1.48 KB, patch)
2015-02-01 17:32 UTC, Dmitry Marakasov
no flags Details | Diff
Updated patch (1.48 KB, patch)
2015-02-01 17:33 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-02-01 17:27:43 UTC
Created attachment 152443 [details]
Patch

gkrellmvolume2 doesn't work correctly: the volume slider jumps back and forth between real volume value and 100%. I don't know OSS well, but it seems like ioctl which reads mixer value doesn't fill resulting value with zeroes, long which is filled by ioctl may contain junk in higher bytes. Therefore, "amount >> 8" used to extract right channel volume would also return junk in addition to needed byte. The fix adds mask to extract only the needed byte.
Comment 1 Bugzilla Automation freebsd_committer 2015-02-01 17:27:43 UTC
Auto-assigned to maintainer ume@FreeBSD.org
Comment 2 Dmitry Marakasov freebsd_committer 2015-02-01 17:32:53 UTC
Created attachment 152444 [details]
Patch

Add more changes to the patch:
- remove author from pkg-descr
- fix WWW:
Comment 3 Dmitry Marakasov freebsd_committer 2015-02-01 17:33:52 UTC
Created attachment 152445 [details]
Updated patch
Comment 4 commit-hook freebsd_committer 2015-02-03 18:15:21 UTC
A commit references this bug:

Author: ume
Date: Tue Feb  3 18:15:18 UTC 2015
New revision: 378362
URL: https://svnweb.freebsd.org/changeset/ports/378362

Log:
  - Fix volume reading
  - Remove author from pkg-descr
  - Fix WWW:

  PR:		197247
  Submitted by:	amdmi3

Changes:
  head/audio/gkrellmvolume2/Makefile
  head/audio/gkrellmvolume2/files/patch-oss_mixer.c
  head/audio/gkrellmvolume2/pkg-descr
Comment 5 Dmitry Marakasov freebsd_committer 2015-02-03 18:36:18 UTC
Thanks! Would be nice to MFH this as well.
Comment 6 Dmitry Marakasov freebsd_committer 2015-02-27 19:19:14 UTC
MFHd
Comment 7 commit-hook freebsd_committer 2015-02-27 19:19:23 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Feb 27 19:18:57 UTC 2015
New revision: 380117
URL: https://svnweb.freebsd.org/changeset/ports/380117

Log:
  MFH: r378362

  - Fix volume reading
  - Remove author from pkg-descr
  - Fix WWW:

  PR:		197247
  Submitted by:	amdmi3
  Approved by:	ports-secteam (zi), portmgr (mat)

Changes:
_U  branches/2015Q1/
  branches/2015Q1/audio/gkrellmvolume2/Makefile
  branches/2015Q1/audio/gkrellmvolume2/files/patch-oss_mixer.c
  branches/2015Q1/audio/gkrellmvolume2/pkg-descr